Subject: Re: [PATCH 03/13] stmmac: add the new Header file for stmmac platform data

From: Giuseppe CAVALLARO <[email-masked]>
Date: Thu, 07 Jan 2010 15:20:40 +0100

Jean-Hugues Deschenes wrote:
> Hi Giuseppe,
> 
> Giuseppe CAVALLARO wrote:
>> Another question. Indeed, for stm architectures, within each setup file,
>> we don't include the linux/stmmac.h (I was wrong before!) but include
>> linux/stm/platform.h. This own header includes the "linux/stmmac.h".
>> So using stmmac_plat.h, I should add: #include
>> "../../../drivers/net/stmmac/stmmac_plat.h"  within the
>> include/linux/stm/platform.h file. Is it ok? What do you think?
>>  
> I believe that would work out well.
> 
> ... Although I wonder if the whole stm subdirectory should be in
> include/linux, rather than in arch/sh...

Sorry, I was not not clear before. the  stm subdirectory is in
include/linux.
In fact, my previous question was if it's good to include
./../../drivers/net/stmmac/stmmac_plat.h within the
include/linux/stm/platform.h file.

 But that's another story... It
> is there because you maintain both sh and arm-base SOCs right?

Yes you are right!

Peppe

> thanks,
> jh